<template>
  <div class="others-page">
    <Content :title="page_name" :data="others_data" />
  </div>
</template>

<script>
import _ from "lodash";
import qs from "qs";

export default {
  async asyncData({ params, $appApi }) {
    let res = {};

    const query = qs.stringify(
      {
        // populate: ["detail"],
      },
      {
        encodeValuesOnly: true,
      }
    );

    try {
      res = await $appApi.get(`/services/${params.id}?${query}`);
    } catch (error) {
      console.log(error);
    }

    return { others_data: _.get(res, "data.attributes") || {} };
  },
  data() {
    return {
      page_name: "Others",
    };
  },
  head({ $config }) {
    return {
      title: `${this.page_name} - ${this.others_data.title} - ${$config.title}`,
    };
  },
};
</script>

<style lang="scss" scoped></style>
